[ laravel-mongodb教程 ] Laravel/Lumen安装配置Mongodb扩展

Song2501 次浏览0个评论2018年02月07日
LaravelMongoDB MongoDB支持Eloquent模型和查询构造器,使用原始的LaravelAPI。这个库扩展了原来的Laravel类,所以它使用完全相同的方法。 确保你已经安装了MongoDBPHP驱动程序。你可以在http://php.n

Laravel MongoDB

MongoDB支持Eloquent模型和查询构造器,使用原始的Laravel API。这个库扩展了原来的Laravel类,所以它使用完全相同的方法。

确保你已经安装了MongoDB PHP驱动程序。你可以在http://php.net/manual/en/mongodb.installation.php找到安装说明

警告: 旧的mongo PHP驱动程序在versions >= 3.0中不再支持。

使用composer安装:

composer require jenssegers/mongodb

Laravel版本兼容性

LaravelPackage
4.2.x2.0.x
5.0.x2.1.x
5.1.x2.2.x or 3.0.x
5.2.x2.3.x or 3.0.x
5.3.x3.1.x or 3.2.x
5.4.x3.2.x
5.5.x3.3.x

然后在config/app.php注册服务提供者:

Jenssegers\Mongodb\MongodbServiceProvider::class,

'Mongo' => Jenssegers\Mongodb\MongodbServiceProvider::class,

为了兼容Lumen,请在bootstrap/app.php中添加服务提供者。在这个文件中,你还需要启用Eloquent。不过,你必须确保你能调用$app->withEloquent();并且注册服务提供者MongodbServiceProvider

$app->register(Jenssegers\Mongodb\MongodbServiceProvider::class);

$app->withEloquent();

服务提供者将向原始的数据库管理器注册一个mongodb数据库扩展。没有必要注册额外的门面或对象。当使用mongodb连接时,Laravel会自动为您提供相应的mongodb对象。

要在Laravel外使用,请查看Capsule管理器并添加:

$capsule->getDatabaseManager()->extend('mongodb', function($config)
{
    return new Jenssegers\Mongodb\Connection($config);
});
请登录后评论
    当前暂无评价,快来发表您的观点吧...
    公告提示
    本站主要用于学习交流Laravel技术,分享Laravel优秀案例;同时非常欢迎大家投稿哦!如果有招聘信息也可以联系我我帮忙发布哦!